## org.apache.poi.ss.usermodel
Interface PictureData

All Known Implementing Classes:
  HSSFPictureData, XSSFPictureData

    public interface PictureData

Method Summary
`byte[]` `getData()` Gets the picture data.
`java.lang.String` `getMimeType()` Returns the mime type for the image
`java.lang.String` `suggestFileExtension()` Suggests a file extension for this image.

Method Detail

### getData

    byte[] getData()

  Gets the picture data.

  Returns:
    the picture data.

### suggestFileExtension

    java.lang.String suggestFileExtension()

  Suggests a file extension for this image.

  Returns:
    the file extension.

### getMimeType

    java.lang.String getMimeType()

  Returns the mime type for the image

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.